Skip to content

Update admin ntfn preferences.

PUT
/api/web/namespaces/system/user/admin_notifications
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/admin_notifications \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "ntfn_preferences_map": {} }'

Update admin ntfn preferences updates admin notification preferences for the user and store them in user settings object.

Examples of this operation.

Media typeapplication/json
Notification preferences

Notification preferences information.

object
ntfn_preferences_map
Ntfn preferences map

Ntfn preferences map contains information whether user is enabled or disabled specific notification.

object
Examplegenerated
{
"ntfn_preferences_map": {}
}

A successful response.

Media typeapplication/json
Empty

Empty object definition.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example